Run of lintian-fixes for knot

Try this locally (using the lintian-brush package):

debcheckout knot
cd knot
lintian-brush
7592
7593
7594
7595
7596
7597
7598
7599
7600
7601
7602
7603
7604
7605
7606
2019-09-19T09:17:35 info: updating persistent timer DB
2019-09-19T09:17:35 info: shutting down
==> /tmp/autopkgtest.j8bRCu/authoritative-server-artifacts/knotd.err <==
autopkgtest [09:17:35]: test authoritative-server: -----------------------]
autopkgtest [09:17:35]: test authoritative-server:  - - - - - - - - - - results - - - - - - - - - -
authoritative-server FAIL stderr: /usr/lib/knot/get_kaspdb:9: YAMLLoadWarning: calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
autopkgtest [09:17:36]: test authoritative-server:  - - - - - - - - - - stderr - - - - - - - - - -
/usr/lib/knot/get_kaspdb:9: YAMLLoadWarning: calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
  conf = yaml.load(open(conf_file, 'r'))
/usr/lib/knot/get_user:9: YAMLLoadWarning: calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
  conf = yaml.load(open(conf_file, 'r'))
autopkgtest [09:17:36]: @@@@@@@@@@@@@@@@@@@@ summary
kdig                 PASS
authoritative-server FAIL stderr: /usr/lib/knot/get_kaspdb:9: YAMLLoadWarning: calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.

Summary

Full worker log Full build log